A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Fields
af_index_t Struct Reference

Struct used to index an af_array. More...

`#include <index.h>`

## Data Fields
union { |
af_array arr |
| The af_array used for indexing. More...
af_seq seq |
| The af_seq used for indexing. More...
} | idx |
bool | isSeq
| If true the idx value represents a seq.
bool | isBatch
| If true the seq object is a batch parameter.

## Detailed Description

Struct used to index an af_array.

This struct represents objects which can be used to index into an af_array Object. It contains a union object which can be an af_seq or an af_array. Indexing with an int can be represented using a af_seq object with the same af_seq::begin and af_seq::end with an af_seq::step of 1

Definition at line 22 of file index.h.

## Field Documentation

## ◆ arr

af_array arr

The af_array used for indexing.

Definition at line 24 of file index.h.

## ◆ [union]

union { ... } idx

## ◆ isBatch

bool isBatch

If true the seq object is a batch parameter.

Definition at line 29 of file index.h.

## ◆ isSeq

bool isSeq

If true the idx value represents a seq.

Definition at line 28 of file index.h.

## ◆ seq

af_seq seq

The af_seq used for indexing.

Definition at line 25 of file index.h.

The documentation for this struct was generated from the following file:

- index.h